Subject: Re: Bug#228: Mount MTP on thinclients

From: Anders Bruun Olsen <[email-masked]>
Date: Wed, 12 Jun 2013 09:23:50 +0200

Hi Mike,

I have setup a virtual machine running Ubuntu 12.04 to test out MTP and
have found out that it is quite annoying to deal with. mtpfs does not work
out-of-the-box. A Google-employee has made go-mtpfs, which supposedly works
better, but I have yet to experiment with it. With normal mtpfs it seems
that you need to setup udev rules for your specific device, meaning that it
can't be used as a catch-all solution for MTP devices. I will try to
experiment with go-mtpfs and see if it can work as a general solution
without having to do specific udev rules for all devices.

As a side-note, on my Ubuntu 13.04 desktop, MTP is handled by an updated
gvfs and is accessible in Nautilus, but does not get mounted as a part of
the filesystem in a way that is available outside Nautilus. Which is why I
haven't actually played with mtpfs before, despite having an MTP device :)

2013/6/10 Mike Gabriel <[email-masked]>

> reassign #228 x2gousbmount
> thanks
>
> Hi Anders,
>
>
> On Mo 10 Jun 2013 11:38:29 CEST Anders Bruun Olsen wrote:
>
>  Package: x2gothinclientmanagement
>> Severity: wishlist
>>
>> X2go thinclients currently mount usb-storage devices nicely. It would be
>> nice if they could also handle MTP-devices (like newer Android-phones).
>> The
>> mechanics for connecting the x2goserver session to the actual device
>> (sshfs) wouldn't need to be changed. It would be a case of adding mtpfs or
>> something similar to the thinclient chroot and making sure it auto mounts.
>>
>
> This basically has to be solved in the x2gousbmount package of the
> src:x2gothinclient X2Go component.
>
> As I do not have such a device here for testing, I need help for that.
>
> A test rig would look like this:
>
>   o Install a minimal Debian/Ubuntu system
>   o install the x2gothinclient package from our nightly builds
> (+dependencies)
>     (or build from source: x2gothinclient.git)
>   o edit the files you find in [1] and add mtpfs to the test system till it
>     works
>
> Greets,
> Mike
>
> [1] http://code.x2go.org/gitweb?p=**x2gothinclient.git;a=tree;f=**
> x2gousbmount<http://code.x2go.org/gitweb?p=x2gothinclient.git;a=tree;f=x2gousbmount>
>
> --
>
> DAS-NETZWERKTEAM
> mike gabriel, herweg 7, 24357 fleckeby
> fon: +49 (1520) 1976 148
>
> GnuPG Key ID 0x25771B31
> mail: mike.gabriel@das-netzwerkteam.**de<[email-masked]>,
> http://das-netzwerkteam.de
>
> freeBusy:
> https://mail.das-netzwerkteam.**de/freebusy/m.gabriel%40das-**
> netzwerkteam.de.xfb<https://mail.das-netzwerkteam.de/freebusy/m.gabriel%40das-netzwerkteam.de.xfb>
>

-- 
Anders Bruun Olsen
It-ansvarlig
Det Danske Sprog- og Litteraturselskab
(Society for Danish Language and Literature)